### Signal

# Gdk Surface::layout

since: 4.0

#### Declaration

    void
    layout (
      GdkSurface* self,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

Emitted when the size of `surface` is changed, or when relayout should be performed.

Surface size is reported in ”application pixels”, not ”device pixels” (see gdk_surface_get_scale_factor()).

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`width`

  Type: `gint`

  The current width.

`height`

  Type: `gint`

  The current height.